import java.util.Scanner;

public class Main {
    public static void main(String[] args) {
        Scanner in = new Scanner(System.in);
        int number = in.nextInt();
        System.out.printf("8
29 31
15 29
12 15
18 12
27 18
22 27
4 22
31 4");
    }
}
